Reset
OpenScreen 2 LACE

Color AAA 000 FFF 06F
Font topaz/8

AddMenu Project, Display Format, D, SetFormat
AddMenu Project, Add Command, AddCmd
AddMenu Project, Change Command, ChgCmd
AddMenu Project, Add Menu Item, AddMenu
AddMenu Project, Add Auto Command, AddAutoCmd
AddMenu Project, Add Key Command, AddKeyCmd
AddMenu Project, Palette, Color
AddMenu Project, Printer Setup, SetPrinter
AddMenu Project, Save Config, S, SaveConfig
AddMenu Project, ReConfig, batch sys:startup.dm
AddMenu Project, Save Cmd Window, SaveCmdWin
AddMenu Project, About, About
AddMenu Project, Quit DM, Q, Quit

AddMenu Tools, Execute Command.., Extern
AddMenu Tools, Test REXX, A, REXX
AddMenu Tools, Run Selected, Single;External run %s
AddMenu Tools, Run DM Script, single;batch %s
AddMenu Tools, Change Font, Font
AddMenu Tools, New Window, N, OpenWindow 240 40 260 120
AddMenu Tools, New Cmd Window, C, OpenWindow 240 40 260 120 CMD;AddCmd
AddMenu Tools, Run DM Script, Single;Batch %s
AddMenu Tools, Print Dir, P, printdir %s prt:
AddMenu Tools, PrintFiles.., O, Extern tools/printfiles %s
AddMenu Tools, Swap S<->D, Swap

AddMenu Sort, Sort By NAME.., sortby Name
AddMenu Sort, Sort By DATE.., sortby Date
AddMenu Sort, Sort By SIZE.., sortby Size

;You MUST have the decompression programmes already in your C: directories - we do not supply them.
AddMenu Archives, Lharc Add, StdIO "CON:0/12/640/100/Add Window";Archive "Lharc <* -x -r a";StdIO CLOSE
AddMenu Archives, Arc   Add, StdIO "CON:0/12/640/100/Add Window";Archive "Arc <* a";StdIO CLOSE
AddMenu Archives, Zoo   Add, StdIO "CON:0/12/640/100/Add Window";Archive "Zoo <* a";StdIO CLOSE
AddMenu Archives, Lharc Extract, StdIO "CON:0/12/640/100/Extract Window";Extern Lharc <* x %s;StdIO CLOSE
AddMenu Archives, Lharc X >Dest, StdIO "CON:0/12/640/100/Extract Window";Extern CD %d \Lharc <* x %s;StdIO CLOSE
AddMenu Archives, Lharc X Req, Confirm "Enter destination path" Continue Cancel %P;StdIO "CON:0/12/640/100/Extract Window";Extern CD %R \Lharc <* x %s;StdIO CLOSE
AddMenu Archives, Arc   Extract, StdIO "CON:0/12/640/100/Extract Window";Extern Arc <* x %s;StdIO CLOSE
AddMenu Archives, Zoo   Extract, StdIO "CON:0/12/640/100/Extract Window";Extern Zoo <* x// %s;StdIO CLOSE
AddMenu Archives, Lharc List, StdIO "CON:0/12/640/160/List Window";Extern Lharc v %s;Wait;StdIO CLOSE
AddMenu Archives, Arc   List, StdIO "CON:0/12/640/160/List Window";Extern Arc v %s;Wait;StdIO CLOSE
AddMenu Archives, Zoo   List, StdIO "CON:0/12/640/160/List Window";Extern Zoo v %s;Wait;StdIO CLOSE
AddMenu Archives, DM Pack, Pack %s %d
AddMenu Archives, DM UnPack, Unpack %s %d

AddMenu Disk, Format, F, Format
AddMenu Disk, DiskCopy, X, DiskCopy
AddMenu Disk, Format DF0:, Confirm "Are you sure?";Format DF0:
AddMenu Disk, Format DF1:, Format DF1: VERIFY "WorkDisk"
AddMenu Disk, Clear  DF0:, Format DF0: QUICK INSTALL VERIFY
AddMenu Disk, Copy DF0: DF0:, DiskCopy DF0: DF0:
AddMenu Disk, Copy DF0: DF1:, DiskCopy DF0: DF1:

AddMenu Control, Lock as Source, Lock S
AddMenu Control, Lock as Dest, Lock D
AddMenu Control, UnLock, UnLock
AddMenu Control, UnLock all, UnLock All
AddMenu Control, Toggle Expand, Expand

AddMenu MMedia, Play.., P, Play %s
AddMenu MMedia, Show.., S, ShowPic %s

AddMenu DMS, DMS Read.., extern sys:c2/DMS read ram:DMSfile
AddMenu DMS, DMW Write.., extern sys:c2/DMS write %s

Button "parent"
SetFormat "NS T DMY A C"
BarFormat "DiskMaster %V %W %T %D %M %Y  Total RAM: %P Kbytes"
TitleFormat "%B/%F %I/%C"

OpenWindow 307  12  96 388 CMD

AddCmd Root, 10, Root
AddCmd Parent, 10, Parent
AddCmd , 20,
AddCmd All, 20, Select *
AddCmd Clear, 20, Deselect *
AddCmd , 20,
AddCmd MakeDir, 30, MakeDir
AddCmd Copy, 30, ReqPattern;Copy %s %d
AddCmd CopyNEW, 30, Copy %s %d NEWER
AddCmd CopyAS	, 20, Copy %s %d RENAME
AddCmd Move, 30, ReqPattern;Move %s %d
AddCmd Rename, 30, Recurse OFF;Rename %s
AddCmd , 20,
AddCmd Delete!, 32, ReqPattern;Confirm "All selected files will be lost.";Protect %s +D;Delete %s
AddCmd , 20,
AddCmd IFF2DCTV, 12, external c:ifftodctv %s -w640 -h400 -d3 -oram:; this is an example of how to use an external file like IFF2DCTV
AddCmd , 20,
AddCmd Protect, 20, Recurse OFF;Protect %s
AddCmd Comment, 20, Recurse OFF;Comment %s
AddCmd Exclude, 20, DeSelect
AddCmd Find, 20, ReqPattern "Please enter search pattern";Find %s
AddCmd SizeChk, 20, UnMark OFF;Check %s
AddCmd , 20,
AddCmd Read, 30, Read %s LACE
AddCmd HexRead, 30, Read %s HEX
AddCmd Edit, 30, scrback; external c:ed %s; scrfront
AddCmd , 20,
AddCmd Print, 12, Single; Print %s PRT:
AddCmd PrtDir, 12, printdir %s PRT:
AddCmd , 20,
AddCmd , 20,
AddCmd , 20,
AddCmd , 20, 
AddCmd , 20,
AddCmd , 20, 
AddCmd , 20,
AddCmd Quit, 21, Quit

OpenWindow 403  12 237 388

OpenWindow   0  12 218 388

OpenWindow 218  12  89 388

AddAutoCmd FORM????ACBM, ShowPic %s
AddAutoCmd FORM????8SVX, ShowPic %s
AddAutoCmd FORM????ILBM, ShowPic %s
AddAutoCmd FORM????ANIM, Extern sys:utilities/View %s
AddAutoCmd ??-lh,StdIO "CON:0/12/640/100/Extract Window";Extern Lharc <* x %s;StdIO CLOSE
AddAutoCmd ^Z,StdIO "CON:0/12/640/100/Extract Window";Extern Arc <* x %s;StdIO CLOSE
AddAutoCmd ZOO ?.?? Archive,StdIO "CON:0/12/640/100/Extract Window";Extern Zoo <* x// %s;StdIO CLOSE
AddAutoCmd TEXT,Read %s
AddAutoCmd DEFAULT,Read %s HEX

AddKeyCmd Q, quit
AddKeyCmd c, copy %s %d
AddKeyCmd C, copy %s
AddKeyCmd D, delete %s
AddKeyCmd r, rename %s
AddKeyCmd m, move %s %d
AddKeyCmd M, move %s
AddKeyCmd e, extern c:ed %s
AddKeyCmd E, extern c:ced %s
AddKeyCmd /, Parent
AddKeyCmd :, Root
AddKeyCmd q, quit
